%define _name gst-player

Name: gstreamer-player
Version: 0.8.0
Release: alt0.3

Summary: GStreamer Streaming media framework player
Group: Sound
License: LGPL
Url: http://gstreamer.freedesktop.org/

Source: %url/src/gst-player/%_name-%version.tar.bz2

%define gstreamer_ver 0.8.0
%define gtk_ver 2.4.0

Requires: libgstplayer = %version-%release
Requires: gstreamer >= %gstreamer_ver
Requires: libgtk+2 >= %gtk_ver

# plugins
Requires: gstreamer-colorspace
Requires: gstreamer-avi
Requires: gstreamer-ffmpeg
Requires: gstreamer-ffmpegcolorspace
Requires: gstreamer-mpeg
Requires: gstreamer-mad
Requires: gstreamer-vorbis
Requires: gstreamer-oss
Requires: gstreamer-alsa
Requires: gstreamer-xvideosink
Requires: gstreamer-gnomevfs
Requires: gstreamer-audio-effects
Requires: gstreamer-dv
Requires: gstreamer-mikmod
Requires: gstreamer-swfdec

BuildPreReq: menu-devel
BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: gstreamer-plugins-devel >= %gstreamer_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Sat Apr 03 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gstreamer-devel gstreamer-plugins-devel gstreamer-utils libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libnautilus-devel libpango-devel libpopt-devel libstartup-notification-devel libstdc++-devel libxml2-devel pkgconfig

%description
This package contains the GStreamer media player.

%package -n libgstplayer
Summary: libgstplay is a simple GStreamer playback wrapper library.
Group: System/Libraries
Obsoletes: libgstplay
Provides: libgstplay = %version-%release

%description -n libgstplayer
This package contains libgstplay is a simple GStreamer playback wrapper
library.

%package -n libgstplayer-devel
Summary: libgstplay development files
Group: Development/C
Obsoletes: libgstplay-devel
Provides: libgstplay-devel = %version-%release
Requires: libgstplay = %version-%release

%description -n libgstplayer-devel
GStreamer libgstplay development libraries and headers.

%package -n nautilus-gstreamer-player
Summary: GStreamer nautilus view
Group: Graphical desktop/GNOME
Requires: gstreamer-player = %version-%release
Requires: nautilus2

%description -n nautilus-gstreamer-player
GStreamer nautilus view for media files.

%define gstreamer_cachedir %_var/lib/%name-%ver_major
%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_name-%version

%build
export LDFLAGS=-export-dynamic
%configure \
	--disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/Video" \
    %buildroot%_datadir/applications/%_name.desktop \
    %buildroot%_menudir/%name

%find_lang %_name

%post
%gconf2_install %_name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_menus

%post -n libgstplayer -p %post_ldconfig
%postun -n libgstplayer -p %postun_ldconfig

%files -f %_name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/mime-info/*
%_datadir/%_name
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/gst-player.schemas
%doc AUTHORS ChangeLog README RELEASE TODO

%files -n libgstplayer
%_libdir/*.so.*

%files -n libgstplayer-devel
%_includedir/*
%_libdir/*.so

%files -n nautilus-gstreamer-player
%_libdir/bonobo/servers/*
%_libexecdir/*
%_datadir/gnome-2.0/ui/*

%changelog
* Sat Apr 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.3
- fixed build.

* Sun Apr 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.2
- Requires gstreamer-ffmpeg.

* Sat Apr 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.1
- new version.

* Sun Sep 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.1
- First build for Sisyphus.

